Bug 737729 - bind fails to pull in dependencies on bind-utils, bind-sdb
bind fails to pull in dependencies on bind-utils, bind-sdb
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
15
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-12 19:36 EDT by stan
Modified: 2013-04-30 19:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 15:45:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description stan 2011-09-12 19:36:34 EDT
Description of problem:  Installed the latest version of bind and bind-chroot from updates-testing.  After they were installed, the named demon failed.  It wouldn't start because the new bind had a dependency that wasn't installed, that it didn't pull in.  I had to change configuration on eth0 to get a link back.  Then I updated bind-utils and bind-sdb to the latest versions, and everything worked again.


Version-Release number of selected component (if applicable):
bind-9.8.1-1.fc15.src.rpm

How reproducible:
I only did it once, but I assume every time

Steps to Reproduce:
1. Update bind-chroot, bind
2. 
3.
  
Actual results:
Named fails

Expected results:
Pulls in the required dependency for libraries, and named works fine.

Additional info:  A few years ago, I used to run Rawhide regularly.  Because of all the dependency errors that occur in Rawhide, I developed scripts that updated packages individually given a list of updates in a file from yum list updates command.  That way, I could install everything without errors and save error messages, especially dependency errors, to be reported.  I continue to run updates using those scripts.  In this case, it was installing bind-chroot, and pulled in bind as a dependency, but failed to pull in all the required dependencies.  I didn't save the actual error when I tried to restart named manually, but it was something about a lib not being accessible; I think it was something like libicss.  After I installed the other packages, which don't have any libs in them, everything worked.  Both of them access libs like that, so possibly both are necessary dependencies.
Comment 1 Adam Tkac 2011-09-21 07:43:37 EDT
I will add versioned requirement into bind-sdb and bind-utils so this won't happen again in the future. Thanks for the report!
Comment 2 stan 2011-09-21 12:21:59 EDT
Great!  Thanks for your help.
Comment 3 Fedora End Of Life 2012-08-07 15:45:52 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.